### Method

# Soup Message get_method

#### Declaration [src]

    const char*
    soup_message_get_method (
      SoupMessage* msg
    )

#### Description [src]

Returns the method of this message.

Gets property | `Soup.Message:method`

#### Return value

Type: `const char*`

A method such as `SOUP_METHOD_GET`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.